# Class TabixFormat

java.lang.Object
htsjdk.tribble.index.tabix.TabixFormat

All Implemented Interfaces:
  `Cloneable`

public class TabixFormat extends Object implements Cloneable
The values in a Tabix header that define the format of the file being indexed, e.g. gff, bed, vcf

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TabixFormat`
`BED`
`int`
`endPositionColumn`
One-based index of the column in the file being indexed containing the end position.
`int`
`flags`
Describes interpretation of file being indexed.
`static final int`
`GENERIC_FLAGS`
`static final TabixFormat`
`GFF`
Predefined headers for known formats
`char`
`metaCharacter`
Lines in the file being indexed that start with this character are ignored.
`int`
`numHeaderLinesToSkip`
TODO: This is written, and part of the index header, but does not appear to be used.
`static final TabixFormat`
`PSLTBL`
`static final TabixFormat`
`SAM`
`static final int`
`SAM_FLAGS`
`int`
`sequenceColumn`
One-based index of the column in the file being indexed containing the sequence name
`int`
`startPositionColumn`
One-based index of the column in the file being indexed containing the start position.
`static final int`
`UCSC_FLAGS`
`static final TabixFormat`
`VCF`
`static final int`
`VCF_FLAGS`
`static final int`
`ZERO_BASED`

## Constructor Summary

Constructors
Constructor
Description
`TabixFormat()`
`TabixFormat(int flags, int sequenceColumn, int startPositionColumn, int endPositionColumn, char metaCharacter, int numHeaderLinesToSkip)`

## Method Summary

Modifier and Type
Method
Description
`TabixFormat`
`clone()`
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ZERO_BASED

public static final int ZERO_BASED

See Also:
  - Constant Field Values

### GENERIC_FLAGS

public static final int GENERIC_FLAGS

See Also:
  - Constant Field Values

### SAM_FLAGS

public static final int SAM_FLAGS

See Also:
  - Constant Field Values

### VCF_FLAGS

public static final int VCF_FLAGS

See Also:
  - Constant Field Values

### UCSC_FLAGS

public static final int UCSC_FLAGS

See Also:
  - Constant Field Values

### GFF

public static final TabixFormat GFF
Predefined headers for known formats

### BED

public static final TabixFormat BED

### PSLTBL

public static final TabixFormat PSLTBL

### SAM

public static final TabixFormat SAM

### VCF

public static final TabixFormat VCF

### flags

public int flags
Describes interpretation of file being indexed. See FLAGS constants above.

### sequenceColumn

public int sequenceColumn
One-based index of the column in the file being indexed containing the sequence name

### startPositionColumn

public int startPositionColumn
One-based index of the column in the file being indexed containing the start position.

### endPositionColumn

public int endPositionColumn
One-based index of the column in the file being indexed containing the end position. Zero implies there is no end position column.

### metaCharacter

public char metaCharacter
Lines in the file being indexed that start with this character are ignored.

### numHeaderLinesToSkip

public int numHeaderLinesToSkip
TODO: This is written, and part of the index header, but does not appear to be used.

## Constructor Details

### TabixFormat

public TabixFormat()

### TabixFormat

public TabixFormat(int flags, int sequenceColumn, int startPositionColumn, int endPositionColumn, char metaCharacter, int numHeaderLinesToSkip)

## Method Details

### clone

public TabixFormat clone()

Overrides:
  `clone` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`